<?php
//* Start the engine
include_once( get_template_directory() . '/lib/init.php' );

//* Child theme (do not remove)
define( 'CHILD_THEME_NAME', 'Mike Ross' );
define( 'CHILD_THEME_URL', 'http://ross.v2websolutions.com/' );
define( 'CHILD_THEME_VERSION', '2.0.1' );

//* Enqueue Lato Google font
add_action( 'wp_enqueue_scripts', 'genesis_sample_google_fonts' );
function genesis_sample_google_fonts() {
	wp_enqueue_style( 'google-font-lato', '//fonts.googleapis.com/css?family=Lato:300,700', array(), CHILD_THEME_VERSION );
}

//* Add HTML5 markup structure
add_theme_support( 'html5' );

//* Add viewport meta tag for mobile browsers
add_theme_support( 'genesis-responsive-viewport' );

//* Add support for custom background
add_theme_support( 'custom-background' );

//* Add support for 3-column footer widgets
add_theme_support( 'genesis-footer-widgets', 4 );

/** Add custom footer if widget area is used */
add_action( 'genesis_footer', 'genesis_custom_footer', 6 );
function genesis_custom_footer() {

	if ( is_active_sidebar( 'custom-footer' ) ) {

		remove_action( 'genesis_footer', 'genesis_do_footer' );
		echo '<div class="custom-footer">';	
		dynamic_sidebar( 'custom-footer' );
		echo '</div><!-- end .custom-footer -->';
	}
}

/** Register widget areas */
genesis_register_sidebar( array(
	'id'				=> 'home-caousel-1',
	'name'			=> __( 'Home Carousel #1', 'ross' ),
	'description'	=> __( 'This is the home carousel #1 section.', 'ross' ),
) );
genesis_register_sidebar( array(
	'id'				=> 'home-special-1',
	'name'			=> __( 'Home special #1', 'ross' ),
	'description'	=> __( 'This is the home special #1 section.', 'ross' ),
) );
genesis_register_sidebar( array(
	'id'				=> 'home-twobox-1',
	'name'			=> __( 'Home Twobox #1', 'ross' ),
	'description'	=> __( 'This is the home twobox #1 section.', 'ross' ),
) );
genesis_register_sidebar( array(
	'id'				=> 'home-twobox-2',
	'name'			=> __( 'Home twobox #2', 'ross' ),
	'description'	=> __( 'This is the home twobox #2 section.', 'ross' ),
) );
genesis_register_sidebar( array(
	'id'				=> 'home-body-1',
	'name'			=> __( 'Home Body #1', 'ross' ),
	'description'	=> __( 'This is the home body #1 section.', 'ross' ),
) );
genesis_register_sidebar( array(
	'id'				=> 'custom-footer',
	'name'			=> __( 'Custom Footer', 'ross' ),
	'description'	=> __( 'This is the custom footer section.', 'ross' ),
) );

/*shorte code for widget*/
add_filter('widget_text', 'do_shortcode');

/**
* Remove Genesis Footer Credits and Return to Top Text */
remove_action( 'genesis_footer', 'genesis_do_footer' );

add_shortcode('display_latest_news','display_latest_news_func');
function display_latest_news_func() {
    ob_start();
    global $post;
    $args = array(
        'category_name'   => 'news',
        'order'           => 'DESC',
        'post_type'       => 'post',
        'post_status'     => 'publish',
        'posts_per_page'  => 6,
       );
    query_posts( $args );
    if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
    <div class="latest_news">
        <?php echo do_shortcode('[post_date]'); ?>
        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
    </div>
    <?php
    endwhile;
    wp_reset_query();
    return ob_get_clean();
}

